# Relocation Dataset API

POST /api/v1/dataset/relocation

**Request Body**

```
{
    "startDate": "start_date",
    "endDate": "end_date",
    "companyIds": ["company_id"],
    "industries": ["industry"],
    "industrySegments": ["segment"],
    "countries": ["country"],
    "limit": "limit"
}
```

| Param            | Mandatory | Description                                                                                                                                                            |
| ---------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startDate        | N         | It will return records from Start Date (Last Modified Date) in format DD/MM/YYYY.                                                                                      |
| endDate          | N         | It will return records till End Date (Last Modified Date) in format DD/MM/YYYY.                                                                                        |
| companyIds       | N         | Array of Intellizence Company IDs. It will return records for these Company IDs. If Company IDs is not passed, records for all the tracked companies will be returned. |
| industries       | N         | Array of Industries.                                                                                                                                                   |
| industrySegments | N         | Array of industry segments.                                                                                                                                            |
| countries        | N         | Array of Company Headquarter countries.                                                                                                                                |
| limit            | N         | Default value is 100 records. If Start Date and End Date are not passed, it will return latest 'N' records depending on limit value.                                   |

**Response Body**

```
[
    {
        "id": "64f1b2c7828feedea3397262",
        "company": {
            "id": "IN244387",
            "name": "Downtown Cleveland",
            "domain": "www.downtowncleveland.com",
            "industries": [
                "not-for-profit/ ngo"
            ],
            "industrySegments": [],
            "location": "Cleveland,Ohio,United States of America",
            "ticker": [],
            "stockExchange": null,
            "type": "Private"
        },
        "announcedDate": "31/08/2023",
        "relocationType": "Office",
        "currentLocation": {
            "country": "United States of America",
            "state": "Ohio",
            "city": "Cleveland"
        },
        "newLocation": {
            "country": "United States of America",
            "state": "Ohio",
            "city": "Cleveland"
        },
        "url": "https://www.bizjournals.com/cleveland/news/2023/08/31/downtown-cleveland-inc-moving-hq-next-year.html?ana=RSS&s=article_search",
        "title": "Downtown Cleveland Inc. to move offices closer to heart of Cleveland",
        "lastModified": "01/09/2023"
    }
]
```
